Bug 2045875 - No ifcfg by default
Summary: No ifcfg by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact:
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F36BetaFreezeException F36Changes
TreeView+ depends on / blocked
 
Reported: 2022-01-25 20:22 UTC by Ben Cotton
Modified: 2023-09-15 01:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-10 14:41:45 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
freedesktop.org Gitlab NetworkManager NetworkManager merge_requests 1116 0 None merged rpm: split ifcfg-rh settings plugin into a separate package 2022-03-07 10:11:31 UTC

Description Ben Cotton 2022-01-25 20:22:40 UTC
This is a tracking bug for Change: No ifcfg by default
For more details, see: https://fedoraproject.org/wiki/Changes/NoIfcfgFiles

Do not include NetworkManager support for legacy network configuration files by in new installations.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2022-02-08 21:07:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 36 development cycle.
Changing version to 36.

Comment 2 Ben Cotton 2022-02-08 21:15:06 UTC
Today we reached the Code Complete (testable) milestone in the F36 schedule: https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

All code for this change should be complete enough for testing. You can indicate this by setting the bug status to MODIFIED. (If the code is fully complete, you can go ahead and set it to ON_QA.)

If you need to defer this Change to F37, please needinfo bcotton.

Comment 3 Till Maas 2022-02-15 09:29:09 UTC
Current tasks:

- split the ifcfg plugin into a subpackage
- ensure that it is not installed by default
- make cloud-init depend on the new subpackage

Comment 4 Ben Cotton 2022-02-22 16:30:52 UTC
We have reached the 'Change complete (100% complete) deadline in the Fedora Linux 36 release schedule.

At this time, all Changes should be fully complete. Indicate this by setting this tracking bug to ON_QA.

If you need to defer this Change to a subsequent release, please needinfo me.

Comment 5 Fedora Blocker Bugs Application 2022-03-16 09:21:47 UTC
Proposed as a Blocker for 36-beta by Fedora user bengal using the blocker tracking app because:

 The update splits the ifcfh-rh plugin (needed to read and write
connection profiles in the ifcfg format in
/etc/sysconfig/network-scripts) to a separate package according to
[1][2]; in this way, it will not be installed by default in new
systems. It will be kept installed upon upgrade, though.

I know it's quite late but there were issues with anaconda that are
now solved (see comments on the bodhi update [3]).

[1] https://fedoraproject.org/wiki/Changes/NoIfcfgFiles
[2] https://bugzilla.redhat.com/show_bug.cgi?id=2045875
[3] https://bodhi.fedoraproject.org/updates/FEDORA-2022-e675404750

Comment 6 Adam Williamson 2022-03-16 15:51:28 UTC
To be clear, was the blocker proposal here intended to mean "we want to put this feature in Beta, but there's a freeze, please pull it in"? If so, it should be proposed as a freeze exception, not a blocker. It should only be proposed as a blocker if something will be badly broken unless we pull in this update.

Comment 7 Adam Williamson 2022-03-16 21:26:02 UTC
-5 in https://pagure.io/fedora-qa/blocker-review/issue/677 , rejected as a blocker, on the basis that no criteria violation or major bug was identified here. If there's more to this than it appears, we can revote.

Comment 8 Beniamino Galvani 2022-03-17 08:20:17 UTC
(In reply to Adam Williamson from comment #6)
> To be clear, was the blocker proposal here intended to mean "we want to put
> this feature in Beta, but there's a freeze, please pull it in"? If so, it
> should be proposed as a freeze exception, not a blocker.

Yes. Do you know how I can do that? Still from

https://qa.fedoraproject.org/blockerbugs/propose_bug

but marked as freeze exception instead?

Comment 9 Adam Williamson 2022-03-17 15:53:31 UTC
Yes, but since I'm here I'll just do it manually, like this:

Comment 10 Fedora Update System 2022-03-19 16:13:40 UTC
FEDORA-2022-e675404750 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e675404750

Comment 11 Adam Williamson 2022-03-19 16:15:09 UTC
+3 Beta FE in https://pagure.io/fedora-qa/blocker-review/issue/677 , marking accepted.

Comment 12 Fedora Update System 2022-03-24 19:33:48 UTC
FEDORA-2022-e675404750 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Ben Cotton 2022-05-10 14:41:45 UTC
F36 was released today. If this Change did not land in the release, please notify bcotton as soon as possible.

Comment 14 Red Hat Bugzilla 2023-09-15 01:51:19 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 365 days


Note You need to log in before you can comment on or make changes to this bug.